Loading...
Searching...
No Matches
Ogre::Any Class Reference
Core » General

Variant type that can hold Any other type. More...

`#include <OgreAny.h>`

## Public Member Functions

| Any ()
| Any (const Any &other)
template<typename ValueType>
| Any (const ValueType &value)
virtual | ~Any ()
void | destroy ()
template<typename ValueType>
ValueType | get (void) const
const std::type_info & | getType () const
bool | has_value () const
bool | isEmpty () const
template<typename ValueType>
ValueType | operator() () const
Any & | operator= (const Any &rhs)
template<typename ValueType>
Any & | operator= (const ValueType &rhs)
void | reset ()
Any & | swap (Any &rhs)
const std::type_info & | type () const

## Detailed Description

Variant type that can hold Any other type.

## Constructor & Destructor Documentation

## Any() [1/3]

Ogre::Any::Any | ( |  | ) |

inline

Referenced by Any(), any_cast, operator<<, operator=(), operator=(), and swap().

## Any() [2/3]

template<typename ValueType>

Ogre::Any::Any | ( | const ValueType & | value | ) |

inline

## Any() [3/3]

Ogre::Any::Any | ( | const Any & | other | ) |

inline

References Any().

## ~Any()

virtual Ogre::Any::~Any | ( |  | ) |

inline virtual

References reset().

## Member Function Documentation

## swap()

Any & Ogre::Any::swap | ( | Any & | rhs | ) |

inline

References Any(), and std::swap().

Referenced by operator=(), and operator=().

## operator=() [1/2]

template<typename ValueType>

Any & Ogre::Any::operator= | ( | const ValueType & | rhs | ) |

inline

References Any(), and swap().

## operator=() [2/2]

Any & Ogre::Any::operator= | ( | const Any & | rhs | ) |

inline

References Any(), and swap().

## has_value()

bool Ogre::Any::has_value | ( |  | ) | const

inline

Referenced by isEmpty().

## isEmpty()

bool Ogre::Any::isEmpty | ( |  | ) | const

inline

Deprecated
  use has_value() instead

References has_value().

## type()

const std::type_info & Ogre::Any::type | ( |  | ) | const

inline

Referenced by any_cast, and getType().

## getType()

const std::type_info & Ogre::Any::getType | ( |  | ) | const

inline

Deprecated
  use type() instead

References type().

## reset()

void Ogre::Any::reset | ( |  | ) |

inline

Referenced by ~Any(), and destroy().

## destroy()

void Ogre::Any::destroy | ( |  | ) |

inline

Deprecated
  use reset() instead

References reset().

## operator()()

template<typename ValueType>

ValueType Ogre::Any::operator() | ( |  | ) | const

inline

Deprecated
  use Ogre::any_cast instead

References any_cast.

## get()

template<typename ValueType>

ValueType Ogre::Any::get | ( | void |  | ) | const

inline

Deprecated
  use Ogre::any_cast instead

References any_cast.

The documentation for this class was generated from the following file:

- OgreAny.h